Last modified: 2013-02-12 15:32:19 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 43807 - Can't run Jenkins test on drafts changes on Gerrit
Can't run Jenkins test on drafts changes on Gerrit
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Continuous integration (Other open bugs)
wmf-deployment
All All
: High major (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on: 39589
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-10 02:20 UTC by Dereckson
Modified: 2013-02-12 15:32 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Dereckson 2013-01-10 02:20:25 UTC
Gerrit drafts aren't currently testable:
- there is a undocumented recheck feature to run basic Jenkins tests, but no documented testing command
- it's not possible anymore to manually trigger a build from Jenkins through Query and Trigger Gerrit Patches ("No jobs triggered for this event")

This is at least a major priority, perhaps a critical one as any serious work on core is currently impeded by the following double constraint:

(1) any change has to be tested (and by the way I'm not writing tests not to run it)

(2) any change on Gerrit changes should be drafts, to avoid flood (per TimStarling request)

Run tests locally can't seriously considered as a viable solution, per the RAM/CPU required for these tests compared to the Jenkins servers power and the fact Jenkins tasks are comprehensive and up to date.
Comment 1 Chad H. 2013-01-11 12:39:45 UTC
I can't think of an easy way to do this, other than adding Jenkins as a reviewer on a change (so it'll be able to see it). I don't think there's much else we can do on the Gerrit side--it should probably be more Zuul tweaks.

More interestingly, a "View drafts" permission would be cool for people who should be able to see all Draft changes, but I haven't looked at how easy this would be (just filed upstream: https://code.google.com/p/gerrit/issues/detail?id=1754)
Comment 2 Chad H. 2013-01-11 12:50:40 UTC
(In reply to comment #1)
> More interestingly, a "View drafts" permission would be cool for people who
> should be able to see all Draft changes, but I haven't looked at how easy
> this
> would be (just filed upstream:
> https://code.google.com/p/gerrit/issues/detail?id=1754)

Actually, just found out this was already done in master and will be a grantable permission upon upgrading.

Marking the dependency, because this will be *trivial* once we upgrade.
Comment 3 Chad H. 2013-02-12 15:16:00 UTC
This is now done on the Gerrit side, JenkinsBot should be able to view all drafts.
Comment 4 Chad H. 2013-02-12 15:32:19 UTC
This should *just work* now. If it doesn't please let me know and we can reopen.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links